org.apache.xalan.processor

## Class XSLTAttributeDef

- java.lang.Object
- - org.apache.xalan.processor.XSLTAttributeDef

    public class XSLTAttributeDef
    extends java.lang.Object

This class defines an attribute for an element in a XSLT stylesheet, is meant to reflect the structure defined in http://www.w3.org/TR/xslt#dtd, and the mapping between Xalan classes and the markup attributes in the element.

### Method Summary

Methods
`java.lang.String` `getSetterMethodName()` Return a string that should represent the setter method.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSetterMethodName

    public java.lang.String getSetterMethodName()

Return a string that should represent the setter method. The setter method name will be created algorithmically the first time this method is accessed, and then cached for return by subsequent invocations of this method.

Returns:
  String that should represent the setter method which which may be used on objects to set a value that represents this attribute, of null if no setter method should be called.